Package de.willuhn.jameica.hbci.gui.input

# Class KontoInput

java.lang.Object
de.willuhn.jameica.gui.input.AbstractInput
de.willuhn.jameica.gui.input.SelectInput
de.willuhn.jameica.hbci.gui.input.KontoInput

All Implemented Interfaces:
  `de.willuhn.jameica.gui.input.Input`, `de.willuhn.jameica.gui.Part`

public class KontoInput extends de.willuhn.jameica.gui.input.SelectInput
Autosuggest-Feld zur Eingabe/Auswahl eines Kontos.

## Field Summary

### Fields inherited from interface de.willuhn.jameica.gui.input.Input

`DATAKEY_TOOLTIP`

## Constructor Summary

Constructors
Constructor
Description
`KontoInput(Konto konto, KontoFilter filter)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected String`
`format(Object bean)`
`org.eclipse.swt.widgets.Control`
`getControl()`
`Object`
`getValue()`
`void`
`setRememberSelection(String s)`
Die Kontoauswahl kann sich das zuletzt ausgewaehlte Konto merken.
`void`
`setRememberSelection(String s, boolean store)`
Die Kontoauswahl kann sich das zuletzt ausgewaehlte Konto merken.
`void`
`setSupportGroups(boolean b)`
Legt fest, ob die Kontoauswahl das Zurueckliefern von Gruppen unterstuetzen soll.
`void`
`update(KontoFilter filter)`
Aktualisiert die Kontoliste basierend auf dem Filter.

### Methods inherited from class de.willuhn.jameica.gui.input.SelectInput

`addListener, disable, enable, focus, getList, getText, isEnabled, setAttribute, setEditable, setEnabled, setList, setPleaseChoose, setPreselected, setValue`

### Methods inherited from class de.willuhn.jameica.gui.input.AbstractInput

`addListener, getData, getName, getParent, getStyleBits, hasChanged, isMandatory, paint, paint, setComment, setData, setInvalidChars, setMandatory, setName, setValidChars, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KontoInput

public KontoInput(Konto konto, KontoFilter filter) throws RemoteException
ct.

Parameters:
  `konto` - ausgewaehltes Konto.
  `filter` - optionaler Konto-Filter.
Throws:
  `RemoteException`

## Method Details

### setSupportGroups

public void setSupportGroups(boolean b)
Legt fest, ob die Kontoauswahl das Zurueckliefern von Gruppen unterstuetzen soll.

Parameters:
  `b` - true, wenn es unterstuetzt werden soll. In dem Fall liefert das Input einen String mit der ausgewaehlten Kategorie. Andernfalls wird in diesem Fall NULL zurueckgeliefert. Per Default ist dieses Feature (aus Gruenden der Abwaertskompatibilitaet) deaktiviert - muss also explizit an den Stellen aktiviert werden, wo es verwendet wird.

### setRememberSelection

public void setRememberSelection(String s, boolean store)
Die Kontoauswahl kann sich das zuletzt ausgewaehlte Konto merken. Damit dann aber nicht auf allen Dialogen das gleiche Konto vorausgewaehlt ist, kann man hier einen individuellen Freitext-Token uebergeben, der als Key fuer das Speichern des zuletzt ausgewaehlten Kontos verwendet wird. Ueberall dort, wo also der gleiche Token verwendet wird, wird auch das gleiche Konto vorausgewaehlt. Der Konto kann z.Bsp. "auswertungen" heissen. Wenn dieser auf allen Dialogen der Auswertungen verwendet wird, wird dort dann auch ueberall das gleiche Konto vorausgewaehlt sein.

Parameters:
  `s` - der Restore-Token.
  `store` - wenn die hier getroffene Auswahl auch gespeichert werden soll.

### setRememberSelection

public void setRememberSelection(String s)
Die Kontoauswahl kann sich das zuletzt ausgewaehlte Konto merken. Damit dann aber nicht auf allen Dialogen das gleiche Konto vorausgewaehlt ist, kann man hier einen individuellen Freitext-Token uebergeben, der als Key fuer das Speichern des zuletzt ausgewaehlten Kontos verwendet wird. Ueberall dort, wo also der gleiche Token verwendet wird, wird auch das gleiche Konto vorausgewaehlt. Der Konto kann z.Bsp. "auswertungen" heissen. Wenn dieser auf allen Dialogen der Auswertungen verwendet wird, wird dort dann auch ueberall das gleiche Konto vorausgewaehlt sein.

Parameters:
  `s` - der Restore-Token.

### getControl

public org.eclipse.swt.widgets.Control getControl()

Specified by:
  `getControl` in interface `de.willuhn.jameica.gui.input.Input`
Overrides:
  `getControl` in class `de.willuhn.jameica.gui.input.SelectInput`
See Also:
  - `SelectInput.getControl()`

### update

public void update(KontoFilter filter) throws RemoteException
Aktualisiert die Kontoliste basierend auf dem Filter.

Parameters:
  `filter` - der Filter.
Throws:
  `RemoteException`

### getValue

public Object getValue()

Specified by:
  `getValue` in interface `de.willuhn.jameica.gui.input.Input`
Overrides:
  `getValue` in class `de.willuhn.jameica.gui.input.SelectInput`
See Also:
  - `SelectInput.getValue()`

### format

protected String format(Object bean)

Overrides:
  `format` in class `de.willuhn.jameica.gui.input.SelectInput`
See Also:
  - `SelectInput.format(java.lang.Object)`